import { Service } from '@/Service/Service';
/*****用户接口*****/
class NvpUserService {
	private static GetUserInfoPath: string = '/User/GetUserInfo';
	/*****用户基础信息*****/
	static GetUserInfo() {
		var result = Service.Request(this.GetUserInfoPath, "GET", "");
		return result;
	}

	private static UpdateUserInfoPath: string = '/User/UpdateUserInfo';
	/*****修改用户信息*****/
	static UpdateUserInfo(par: string, smsCode: string, type: number) {
		var result = Service.Request(this.UpdateUserInfoPath, "POST", { par, smsCode, type });
		return result;
	}

	private static GetUserAccLogPath: string = '/User/GetUserAccLog';
	/*****获取账户记录*****/
	static GetUserAccLog(code: string, accType: string, page: number) {
		var result = Service.Request(this.GetUserAccLogPath, "GET", { code, accType, page });
		return result;
	}

	private static GetUserCommissionInfoPath: string = '/User/GetUserCommissionInfo';
	/*****用户佣金账户*****/
	static GetUserCommissionInfo() {
		var result = Service.Request(this.GetUserCommissionInfoPath, "GET", "");
		return result;
	}

	private static GetUserCommissionLogPath: string = '/User/GetUserCommissionLog';
	/*****用户佣金记录*****/
	static GetUserCommissionLog(code: string, accType: string, page: number) {
		var result = Service.Request(this.GetUserCommissionLogPath, "GET", { code, accType, page });
		return result;
	}

}
export {
	Service,
	NvpUserService
}
